Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QwtPlainTextEngine Class Reference

A text engine for plain texts. More...

`#include <qwt_text_engine.h>`

Inheritance diagram for QwtPlainTextEngine:
[legend]

List of all members.

## Public Member Functions
virtual void | draw (QPainter *painter, const QRectF &rect, int flags, const QString &text) const
virtual double | heightForWidth (const QFont &font, int flags, const QString &text, double width) const
virtual bool | mightRender (const QString &) const
| QwtPlainTextEngine ()
virtual void | textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const
virtual QSizeF | textSize (const QFont &font, int flags, const QString &text) const
virtual | ~QwtPlainTextEngine ()

## Detailed Description

A text engine for plain texts.

QwtPlainTextEngine renders texts using the basic Qt classes QPainter and QFontMetrics.

## Constructor & Destructor Documentation

QwtPlainTextEngine::QwtPlainTextEngine | ( |  | ) |

Constructor.

QwtPlainTextEngine::~QwtPlainTextEngine | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void QwtPlainTextEngine::draw | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  | const`[virtual]`

Draw the text in a clipping rectangle.

A wrapper for QPainter::drawText.

Parameters:

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Implements QwtTextEngine.

double QwtPlainTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | double | width
| ) |  | const`[virtual]`

Find the height for a given width

Parameters:

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered
  width | Width

Returns:
  Calculated height

Implements QwtTextEngine.

bool QwtPlainTextEngine::mightRender | ( | const QString & |  | ) | const`[virtual]`

Test if a string can be rendered by this text engine.

Returns:
  Always true. All texts can be rendered by QwtPlainTextEngine

Implements QwtTextEngine.

void QwtPlainTextEngine::textMargins | ( | const QFont & | font,
|  | const QString & | ,
|  | double & | left,
|  | double & | right,
|  | double & | top,
|  | double & | bottom
| ) |  | const`[virtual]`

Return margins around the texts

Parameters:

  font | Font of the text
  left | Return 0
  right | Return 0
  top | Return value for the top margin
  bottom | Return value for the bottom margin

Implements QwtTextEngine.

QSizeF QwtPlainTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text
| ) |  | const`[virtual]`

Returns the size, that is needed to render text

Parameters:

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Returns:
  Caluclated size

Implements QwtTextEngine.